<template>
  <!--Menu desaparece cuando el display es chico-->
  <v-menu v-if="$vuetify.breakpoint.mdAndUp" offset-x bottom left>
    <template #activator="{ on }">
      <v-btn icon v-on="on">
        <v-icon>account_circle</v-icon>
      </v-btn>
    </template>

    <v-card>
      <v-list>
        <v-list-item>
          <v-list-item-avatar>
            <v-icon>account_circle</v-icon>
          </v-list-item-avatar>

          <v-list-item-content>
            <v-list-item-title v-if="user">
              {{ user.name }}
            </v-list-item-title>
            <!--Pasa user.tipo como parametro de tipouser-->
            <v-list-item-subtitle v-if="user">
              {{ user.tipo | tipodeusuario }}
            </v-list-item-subtitle>
          </v-list-item-content>
        </v-list-item>
      </v-list>

      <v-card-actions>
        <v-btn text href="#">
          Cambiar Contraseña
        </v-btn>
        <v-btn color="accent" style="margin: auto" @click="cerrarSesion()">
          Cerrar Sesión
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-menu>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import { User } from '~/core/models/user'
import { AuthStore } from '~/store/AuthStore'

    @Component
export default class AppToolbarMenu extends Vue {
  get user ():User {
    return AuthStore.user
  }

  cerrarSesion () {
    AuthStore.logout()
    this.$router.push('/login')
    // redireccionamos a la pagina login
  }
}
</script>

<style lang="scss">

</style>
